Skip to main content
Version: 1.28.1

Get embeddings for all files of a document

GET 

/v0/documents/:documentId/embeddings

Returns the pre-computed embedding vectors for all files belonging to the specified document within the authenticated user's organization. Files without a computed embedding are included with status EMBEDDING_NOT_FOUND.

Request

Responses

Document embeddings retrieved

Response Headers
    X-RateLimit-Limit

    Maximum number of requests allowed in the current rate limit window for the used scope.

    X-RateLimit-Remaining

    Number of requests remaining in the current rate limit window.

    X-RateLimit-Reset

    Unix timestamp (seconds since epoch, UTC) when the rate limit window resets.

    X-RateLimit-Scope

    The OAuth scope bucket to which this rate limit applies: read or write.